/*
 * Created on Jun 30, 2004
 */
package gov.grants.apply.struts.forms;

import org.apache.struts.validator.ValidatorForm;
/**
 * 
 * Form class for getting application list
 * 
 * @author Feng Qian
 *
 */
public class GetApplicationListForm extends ValidatorForm {
	
    private String status = null;
    private String CFDANum = null;
    private String opportunityID = null;
    private String submissionTitle = null;
    private String trackingNum = null;
    
	/**
	 * @return Returns the submissionTitle.
	 */
	public String getSubmissionTitle() {
		return submissionTitle;
	}
	/**
	 * @param submissionTitle The submissionTitle to set.
	 */
	public void setSubmissionTitle(String submissionTitle) {
		this.submissionTitle = submissionTitle;
	}
	/**
	 * @return the string of the CFDA number
	 */
	public String getCFDANum() {
		return CFDANum;
	}

	/**
	 * @return the string of the opportunityID.
	 */
	public String getOpportunityID() {
		return opportunityID;
	}

	/**
	 * @return the string of the status.
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param string the string of CFDA number.
	 */
	public void setCFDANum(String string) {
		CFDANum = string;
	}

	/**
	 * @param string the string of the opportunityID.
	 */
	public void setOpportunityID(String string) {
		opportunityID = string;
	}

	/**
	 * @param string the string of the status.
	 */
	public void setStatus(String string) {
		status = string;
	}
	
	public String getTrackingNum() {
		return trackingNum;
	}
	public void setTrackingNum(String trackingNum) {
		this.trackingNum = trackingNum;
	}

}
