/*
 * Created on Jun 15, 2004
 *
 */
package gov.grants.apply.struts.forms;

import org.apache.struts.upload.FormFile;
import org.apache.struts.validator.ValidatorForm;

/**
 * Form class for submitting application.
 * 
 * @author Brian Husted
 * 
 */
public class SubmitApplicationForm extends ValidatorForm {

	private FormFile applicationXML;
	private FormFile attachment;
	private String[] deleteAttachments;

	/**
	 * @param file the FormFile
	 */
	public void setApplicationXML(FormFile file) {
		this.applicationXML = file;
	}
	
	/**
	 * @return the FormFile.
	 */
	public FormFile getApplicationXML(){
		return applicationXML;		
	}
	
	/**
	 * @param file the FormFile.
	 */
	public void setAttachment( FormFile file ){
		
		this.attachment = file;
	}
	
	/**
	 * @return the FormFile.
	 */
	public FormFile getAttachment(){
		
		return this.attachment;
	}
	
	

	/**
	 * @return Returns the deleteAttachments.
	 */
	public String[] getDeleteAttachments() {
		return deleteAttachments;
	}
	/**
	 * @param deleteAttachments The deleteAttachments to set.
	 */
	public void setDeleteAttachments(String[] deleteAttachments) {
		this.deleteAttachments = deleteAttachments;
	}
}