/*
 * Created on Feb 17, 2006
 *
 * Unpublished Work, Copyright, 2005, 2006 Northrop Grumman
 */
package gov.grants.common.sql;

/**
 * @author david.wong2@ngc.com, Grants.gov Team 
 *
 * TODO Add description.
 */
public class Connector implements SQLString
{
   private String _connector = null;
   private SQLString _connectee = null;
   
   private Connector(String connector, SQLString connectee)
   {
      _connector = connector;
      _connectee = connectee;
   }
   
   static Connector createAndConnector(SQLString connectee)
   {
      return new Connector("AND", connectee);
   }
   
   static Connector createOrConnector(SQLString connectee)
   {
      return new Connector("OR", connectee);
   }
   
   public StringBuffer addString(StringBuffer buffer)
   {
      return _connectee.addString(buffer.append(_connector).append(" "));
   }
   
   SQLString getConnectee()
   {
      return _connectee;
   }
}
